Page MenuHomePhabricator

Build grafana board for rollback confirmation prompt
Closed, ResolvedPublic3 Story Points

Description

Motivation

We want to find out if the rollback confirmation prompt is useful. This can be done by tracking how often it is being used

Acceptance Criteria

  • On a grafana board, add a graph that displays the number of users with enabled "rollback confirmation prompt" setting on a per day granularity
  • On the same grafana board add graphs for each default configuration:
      • How many people have the rollback confirmation prompt disabled on a default-enabled wiki (graph with day-granularity),
    • how many people have the rollback confirmation prompt enabled coming from a default-disabled wiki?
  • Document the tracking variables in a metrics.md file (example)

Event Timeline

Lea_WMDE created this task.Feb 11 2019, 2:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2019, 2:26 PM
Lea_WMDE updated the task description. (Show Details)Feb 12 2019, 11:32 AM
kai.nissen set the point value for this task to 5.

We want to find out if the rollback confirmation prompt is useful.

For such questions, I would suggest an analysis in R, Excel… to take decisions based on the results. At usually have problems taking UX decisions based on Grafana data.

Change 493453 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/core@master] Count number of usages for Rollback Confirmation Prompt

https://gerrit.wikimedia.org/r/493453

Tobi_WMDE_SW changed the point value for this task from 5 to 3.Mar 4 2019, 11:11 AM

Change 494772 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[analytics/wmde/scripts@master] Count enables/disables for rollback conf prompt user setting

https://gerrit.wikimedia.org/r/494772

Change 495703 had a related patch set uploaded (by Addshore; owner: Tonina Zhelyazkova):
[analytics/wmde/scripts@production] Count enables/disables for rollback conf prompt user setting

https://gerrit.wikimedia.org/r/495703

Change 494772 merged by jenkins-bot:
[analytics/wmde/scripts@master] Count enables/disables for rollback conf prompt user setting

https://gerrit.wikimedia.org/r/494772

Change 495703 merged by jenkins-bot:
[analytics/wmde/scripts@production] Count enables/disables for rollback conf prompt user setting

https://gerrit.wikimedia.org/r/495703

Change 493453 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/core@master] Count number of usages for Rollback Confirmation Prompt

https://gerrit.wikimedia.org/r/493453

Change 493453 merged by jenkins-bot:
[mediawiki/core@master] Count number of usages for Rollback Confirmation Prompt

https://gerrit.wikimedia.org/r/493453

kai.nissen closed this task as Resolved.Apr 15 2019, 11:08 AM
This comment was removed by Tonina_Zhelyazkova_WMDE.